%define qtdir  %(qmake -query QT_INSTALL_PREFIX)
%define qtinc %{qtdir}/include
%define qtlib %(qmake -query QT_INSTALL_PREFIX)/lib

Name:           qt-qsa
Version:        1.1.5
Release:        9%{?dist}
Summary:        QT Script for Applications

Group:          Development/Libraries
License:        GPLv2
URL:            http://www.trolltech.com/products/qt/addon/qsa
Source0:        ftp://ftp.trolltech.com/qsa/source/qsa-x11-free-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt3-devel

%description
Qt Script for Applications can be used to build scripable applications with Qt.

%package devel
Summary:        Development and doc files for qsa 
Requires:       %{name} = %{version}-%{release}
Group:          Development/Libraries
Requires:       qt3-devel

%description devel
Qt Script for Applications can be used to build scripable applications with Qt.
This package contains development files and the documentation

%prep
%setup -q -n qsa-x11-free-%{version}

#fix LICENSE.GPL and README permissions
chmod 644 LICENSE.GPL
chmod 644 README

#fix line endings
find doc/html -type f | xargs %{__sed} -i 's/\r//'
find examples -type f | xargs %{__sed} -i 's/\r//'


%build
export QTDIR=%{qtdir}
export PATH=$QTDIR/bin:$PATH
export QTINC=%{qtinc}
export QTLIB=%{qtlib}
./configure -prefix %{qtdir}
make %{?_smp_mflags} sub-src


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/%{qtdir}/doc

#remove uneeded files
rm -f examples/qsa.prf
find examples -name "Makefile*" | xargs rm -f
find examples -name ".obj*" | xargs rm -rf
find examples -name ".ui*" | xargs rm -rf
find examples -name ".moc*" | xargs rm -rf
find examples -name ".rcc" | xargs rm -rf

#remove load entry from .pro files
find examples -name "*.pro" | xargs sed -i "/..\/qsa/d"

#add includes that make install skip:(
%{__install} -p -m 644 src/ide/qsworkbench.h $RPM_BUILD_ROOT%{qtinc}/
%{__install} -p -m 644 src/qsa/qsutilfactory.h  $RPM_BUILD_ROOT%{qtinc}/


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc changes-%{version} LICENSE.GPL README
%{qtlib}/libqsa.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/html examples
%{qtlib}/libqsa.so
%{qtinc}/*
%{qtdir}/mkspecs/features/qsa.prf


%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Mar 25 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.1.5-5
- s/qt/qt3/

* Tue Feb 12 2008 Julian Sikorski <belegdol[at]gmail[dot]com> - 1.1.5-4
- Rebuilt for gcc-4.3

* Thu Nov 22 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 1.1.5-3
- Fixed multiarch conflicts (RH #343031)

* Sun Aug 26 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 1.1.5-2
- Rebuild

* Tue Aug  7 2007 Julian Sikorski <belegdol[at]gmail[dot]com> - 1.1.5-1
- Updated to 1.1.5
- Adjusted License tag as per latest guidelines

* Wed Dec 20 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 1.1.4-3
- Fixed typo in %%changelog
- Added qt-devel to -devel subpackage Requires

* Wed Dec 20 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 1.1.4-2
- Added missing headers
- Renamed to qt-qsa
- Got rid of dos2unix BuildRequires
- Fixed building on x86-64

* Wed Dec 13 2006 Julian Sikorski <belegdol[at]gmail[dot]com> - 1.1.4-1
- Initial RPM release, based on Frank Büttner's qt4-qsa package
